type: diagnostic_aggregator/AnalyzerGroup
path: Drivers
analyzers:
  human_interaction_controller:
    path: HumanInteraction
    startswith: human_interaction_controller
    expected:
    - 'human_interaction_controller: human_interaction_controller_zci'
    - 'human_interaction_controller: interior_audio_gateway_zci'
    type: diagnostic_aggregator/GenericAnalyzer
  ride_state_machine:
    expected:
    - 'ride_state_machine: ride_state_machine_zci'
    - 'ride_state_machine: ride_state_machine_diagnostic'
    find_and_remove_prefix: ride_state_machine
    path: RideState
    type: diagnostic_aggregator/GenericAnalyzer
  kitt_gateway:
    path: KittGateway
    startswith: kitt_gateway
    type: diagnostic_aggregator/GenericAnalyzer
  mofo_gateway:
    num_items: 1
    path: MofoGateway
    startswith: mofo_gateway
    type: diagnostic_aggregator/GenericAnalyzer
  ptp_gateway:
    type: diagnostic_aggregator/GenericAnalyzer
    path: PtpGateways
    remove_prefix: ptpg_monitor_
    expected:
    - 'ptpg_monitor_REAR_UPPER_LEFT: ptpg_monitor_component_zci'
    - 'ptpg_monitor_REAR_UPPER_LEFT: ptpg_monitor_REAR_UPPER_LEFT'
    - 'ptpg_monitor_REAR_LOWER_LEFT: ptpg_monitor_component_zci'
    - 'ptpg_monitor_REAR_LOWER_LEFT: ptpg_monitor_REAR_LOWER_LEFT'
    - 'ptpg_monitor_REAR_UPPER_RIGHT: ptpg_monitor_component_zci'
    - 'ptpg_monitor_REAR_UPPER_RIGHT: ptpg_monitor_REAR_UPPER_RIGHT'
    - 'ptpg_monitor_REAR_LOWER_RIGHT: ptpg_monitor_component_zci'
    - 'ptpg_monitor_REAR_LOWER_RIGHT: ptpg_monitor_REAR_LOWER_RIGHT'
    - 'ptpg_monitor_FRONT_LOWER_CENTER: ptpg_monitor_component_zci'
    - 'ptpg_monitor_FRONT_LOWER_CENTER: ptpg_monitor_FRONT_LOWER_CENTER'
    - 'ptpg_monitor_FRONT_UPPER_LEFT: ptpg_monitor_component_zci'
    - 'ptpg_monitor_FRONT_UPPER_LEFT: ptpg_monitor_FRONT_UPPER_LEFT'
    - 'ptpg_monitor_FRONT_LOWER_LEFT: ptpg_monitor_component_zci'
    - 'ptpg_monitor_FRONT_LOWER_LEFT: ptpg_monitor_FRONT_LOWER_LEFT'
    - 'ptpg_monitor_FRONT_UPPER_RIGHT: ptpg_monitor_component_zci'
    - 'ptpg_monitor_FRONT_UPPER_RIGHT: ptpg_monitor_FRONT_UPPER_RIGHT'
    - 'ptpg_monitor_FRONT_LOWER_RIGHT: ptpg_monitor_component_zci'
    - 'ptpg_monitor_FRONT_LOWER_RIGHT: ptpg_monitor_FRONT_LOWER_RIGHT'
  supervisor:
    find_and_remove_prefix: drivers_supervisor
    path: Supervisor
    type: diagnostic_aggregator/GenericAnalyzer
  switch_monitor:
    type: diagnostic_aggregator/GenericAnalyzer
    path: SwitchMonitor
    remove_prefix: 'switch_monitor:'
    expected:
    - 'switch_monitor: switch_monitor_zci'
    - 'switch_monitor: SW1'
    - 'switch_monitor: SW2'
    - 'switch_monitor: SW3'
    - 'switch_monitor: SW4'
